package CONFIG;


use vars qw(@ISA @EXPORT);
require Exporter;


@ISA = qw(Exporter);


##################################################
###################################
## PATHS

## TARGET RNAs
## MODELS
## FASTA FILES
## INFORMATION FILES
$FUNGI_INFORMATION_FILE = "/opt/anaconda1anaconda2anaconda3/share/snostrip/information/fungi_information.csv";
$PROTOSTOMIA_INFORMATION_FILE = "/opt/anaconda1anaconda2anaconda3/share/snostrip/information/protostomia_information.csv";
$DEUTEROSTOMIA_INFORMATION_FILE = "/opt/anaconda1anaconda2anaconda3/share/snostrip/information/deuterostomia_information.csv";
$PLANT_INFORMATION_FILE = "/opt/anaconda1anaconda2anaconda3/share/snostrip/information/plant_information.csv";

##################################################
###################################
## PROGRAMS

$MUSCLE = "/opt/anaconda1anaconda2anaconda3/bin/muscle";
$BLASTALL = "/opt/anaconda1anaconda2anaconda3/bin/blastall";
$RNASUBOPT = "/opt/anaconda1anaconda2anaconda3/bin/RNAsubopt";
$RNAEVAL = "/opt/anaconda1anaconda2anaconda3/bin/RNAeval";
$CMSEARCH = "/opt/anaconda1anaconda2anaconda3/bin/cmsearch";
$CMSTAT = "/opt/anaconda1anaconda2anaconda3/bin/cmstat";
$CMBUILD = "/opt/anaconda1anaconda2anaconda3/bin/cmbuild";
$CMCALIBRATE = "/opt/anaconda1anaconda2anaconda3/bin/cmcalibrate";
$FASTACMD = "/opt/anaconda1anaconda2anaconda3/bin/fastacmd";

$RNAPLEX = "/opt/anaconda1anaconda2anaconda3/bin/snostrip/programs/RNAplex";
$RNASNOOP = "/opt/anaconda1anaconda2anaconda3/bin/snostrip/programs/RNAsnoop";



##################################################
###################################
## SCRIPTS

$STOCKHOLM = "/opt/anaconda1anaconda2anaconda3/bin/snostrip/scripts/stockholm.pl";
$CLUSTER = "/opt/anaconda1anaconda2anaconda3/bin/snostrip/scripts/clusterChains.pl";
$SVM = "/opt/anaconda1anaconda2anaconda3/bin/snostrip/scripts/apply_svm.pl";
$INFERNAL = "/opt/anaconda1anaconda2anaconda3/bin/snostrip/scripts/infernal.pl";
$BLAST = "/opt/anaconda1anaconda2anaconda3/bin/snostrip/scripts/blastRelatives.pl";
$MAP_MODIFICATIONS = "/opt/anaconda1anaconda2anaconda3/bin/snostrip/scripts/map_modifications.pl";


##################################################
###################################
## BLASTHIT PARAMETER

$CD_CUTOFF_DEU = 3;
$CD_CUTOFF_FUNGI = 2;
$HACA_CUTOFF_DEU = 2;
$HACA_CUTOFF_FUNGI = 1;
$CD_MEAN = 10.55;
$CD_SD = 16.05;
$HACA_MEAN = 9.5;
$HACA_SD = 17.57;

1;
